### Function

# Gtk disable_setlocale

since: 4.0

#### Declaration [src]

    void
    gtk_disable_setlocale (
      void
    )

#### Description [src]

Prevents `gtk_init()` and `gtk_init_check()` from automatically calling `setlocale (LC_ALL, "")`.

You would want to use this function if you wanted to set the locale for your program to something other than the user’s locale, or if you wanted to set different values for different locale categories.

Most programs should not need to call this function.

Available since: 4.0